%global srcname vatnumber

# test requires network connection to an outside server
%global with_check 0

Name:           python-%{srcname}
Version:        1.2
Release:        %mkrel 7
Summary:        Python module to validate VAT numbers
Group:          Development/Python

License:        GPLv3+
URL:            https://pypi.python.org/pypi/vatnumber
Source0:        https://pypi.python.org/packages/source/v/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         vatnumber-1.2-py3.patch
BuildArch:      noarch

%description
Python module to validate VAT numbers.


%package -n python3-%{srcname}
Summary:        Python 3 module to validate VAT numbers
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%if 0%{?with_check}
BuildRequires:  python3-suds
%endif
Requires:       python3-suds

%description -n python3-%{srcname}
Python 3 module to validate VAT numbers.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%if 0%{?with_check}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{srcname}
%license COPYRIGHT LICENSE
%doc CHANGELOG README
%{python3_sitelib}/*


%changelog
* Sun Dec 27 2020 daviddavid <daviddavid> 1.2-7.mga8
+ Revision: 1664123
- fix python3-suds dependency

* Sun Feb 16 2020 umeabot <umeabot> 1.2-6.mga8
+ Revision: 1532571
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.2-5.mga8
+ Revision: 1442515
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 daviddavid <daviddavid> 1.2-4.mga7
+ Revision: 1354285
- rebuild for new Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.2-3.mga7
+ Revision: 1290453
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Fri Mar 23 2018 kekepower <kekepower> 1.2-2.mga7
+ Revision: 1211346
- Use python[2,3]dist
+ joequant <joequant>
- fix requires

* Tue Jan 02 2018 joequant <joequant> 1.2-1.mga7
+ Revision: 1189743
- imported package python-vatnumber

